# -*- coding: utf-8 -*-
#
# Configuration file for the Sphinx documentation builder.
#
# This file does only contain a selection of the most common options. For a
# full list see the documentation:
# http://www.sphinx-doc.org/en/master/config

# -- Path setup --------------------------------------------------------------

# If extensions (or modules to document with autodoc) are in another directory,
# add these directories to sys.path here. If the directory is relative to the
# documentation root, use os.path.abspath to make it absolute, like shown here.
#
# import os
# import sys
# sys.path.insert(0, os.path.abspath('.'))

import datetime


# -- Project information -----------------------------------------------------

project = 'CodeRed CMS'
copyright = '2018-' + str(datetime.datetime.now().year) + ', CodeRed LLC'
author = 'CodeRed LLC'


# -- General configuration ---------------------------------------------------

# Add any Sphinx extension module names here, as strings. They can be
# extensions coming with Sphinx (named 'sphinx.ext.*') or your custom
# ones.
extensions = []

# Add any paths that contain templates here, relative to this directory.
templates_path = ['_templates']

# The suffix(es) of source filenames.
# You can specify multiple suffix as a list of string:
#
# source_suffix = ['.rst', '.md']
source_suffix = '.rst'

# The master toctree document.
master_doc = 'index'

# The language for content autogenerated by Sphinx. Refer to documentation
# for a list of supported languages.
#
# This is also used if you do content translation via gettext catalogs.
# Usually you set "language" from the command line for these cases.
language = "en"

# List of patterns, relative to source directory, that match files and
# directories to ignore when looking for source files.
# This pattern also affects html_static_path and html_extra_path.
exclude_patterns = ['_build', 'Thumbs.db', '.DS_Store']

# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'default'


# -- Options for HTML output -------------------------------------------------

# The theme to use for HTML and HTML Help pages.  See the documentation for
# a list of builtin themes.
html_theme = 'classic'

# Theme options are theme-specific and customize the look and feel of a theme
# further.  For a list of options available for each theme, see the
# documentation.
html_theme_options = {
    'sidebarwidth': '260px',
    'bodyfont': 'initial',
    'headfont': 'inherit',
    'footerbgcolor': 'inherit',
    'footertextcolor': '#888',
    'sidebarbgcolor': '#001834',
    'sidebartextcolor': 'rgba(255,255,255,0.7)',
    'sidebarlinkcolor': 'rgba(255,255,255,0.7)',
    'relbarbgcolor': 'inherit',
    'relbartextcolor': '#888',
    'relbarlinkcolor': '#888',
    'bgcolor': '#fff',
    'textcolor': '#000',
    'linkcolor': '#0aa',
    'visitedlinkcolor': '#0aa',
    'headbgcolor': 'inherit',
    'headtextcolor': 'inherit',
}

html_logo = '_static/coderedcms_light.png'

# Add any paths that contain custom static files (such as style sheets) here,
# relative to this directory. They are copied after the builtin static files,
# so a file named "default.css" will overwrite the builtin "default.css".
html_static_path = ['_static']

# Custom sidebar templates, must be a dictionary that maps document names
# to template names.
#
# The default sidebars (for documents that don't match any pattern) are
# defined by theme itself.  Builtin themes are using these templates by
# default: ``['localtoc.html', 'relations.html', 'sourcelink.html',
# 'searchbox.html']``.
html_sidebars = {'**': ['searchbox.html', 'globaltoc.html']}

html_context = {
    'css_files': ['_static/docs.css'],
}

html_last_updated_fmt = ''
